package com.ywt.mg.params.checkupBooking;

import com.ywt.mg.params.PageRequest;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

public class QueryCheckUpOrderListRequest extends PageRequest implements Serializable {

    @ApiModelProperty(value = "订单号")
    private String orderNo;

    @ApiModelProperty(value = "患者姓名")
    private String patientName;

    @ApiModelProperty(value = "就诊ID")
    private String admId;

    @ApiModelProperty(value = "登记号")
    private String regNo;

    @ApiModelProperty(value = "支付状态")
    private String paymentStatus;

    @ApiModelProperty(value = "支付时间查询开始时间")
    private String paymentTimeStart;

    @ApiModelProperty(value = "支付时间查询截止时间")
    private String paymentTimeEnd;

    @ApiModelProperty(value = "医院")
    private String hospitalId;

    @ApiModelProperty(value = "交易流水号")
    private String transactionId;

    @ApiModelProperty(value = "对账时间查询开始时间")
    private String billStartTime;

    @ApiModelProperty(value = "对账时间查询截止时间")
    private String billEndTime;

    @ApiModelProperty(value = "判断医院后台还是公司后台")
    private int hosp;

    public String getOrderNo() {
        return orderNo;
    }

    public void setOrderNo(String orderNo) {
        this.orderNo = orderNo;
    }

    public String getPatientName() {
        return patientName;
    }

    public void setPatientName(String patientName) {
        this.patientName = patientName;
    }

    public String getAdmId() {
        return admId;
    }

    public void setAdmId(String admId) {
        this.admId = admId;
    }

    public String getRegNo() {
        return regNo;
    }

    public void setRegNo(String regNo) {
        this.regNo = regNo;
    }

    public String getPaymentStatus() {
        return paymentStatus;
    }

    public void setPaymentStatus(String paymentStatus) {
        this.paymentStatus = paymentStatus;
    }

    public String getPaymentTimeStart() {
        return paymentTimeStart;
    }

    public void setPaymentTimeStart(String paymentTimeStart) {
        this.paymentTimeStart = paymentTimeStart;
    }

    public String getPaymentTimeEnd() {
        return paymentTimeEnd;
    }

    public void setPaymentTimeEnd(String paymentTimeEnd) {
        this.paymentTimeEnd = paymentTimeEnd;
    }

    public String getHospitalId() {
        return hospitalId;
    }

    public void setHospitalId(String hospitalId) {
        this.hospitalId = hospitalId;
    }

    public String getTransactionId() {
        return transactionId;
    }

    public void setTransactionId(String transactionId) {
        this.transactionId = transactionId;
    }

    public String getBillStartTime() {
        return billStartTime;
    }

    public void setBillStartTime(String billStartTime) {
        this.billStartTime = billStartTime;
    }

    public String getBillEndTime() {
        return billEndTime;
    }

    public void setBillEndTime(String billEndTime) {
        this.billEndTime = billEndTime;
    }

    public int getHosp() {
        return hosp;
    }

    public void setHosp(int hosp) {
        this.hosp = hosp;
    }
}
